import { select, csv, scaleLinear, max, scaleBand } from 'd3';


const svg = select('svg');

const width = svg.attr('width');
const height = svg.attr('height');

const render = data => {
  
  const xValue = d => d.population
  const yValue = d => d.country 
  
  const xScale = scaleLinear()
  	.domain([0,max(data, xValue)])
  	.range([0, width]);
  
  const yScale = scaleBand()
  	.domain(data.map(yValue))
  	.range([0, height])
	
  console.log(xScale.range());
  
  svg.selectAll('rect').data(data) 
  	.enter().append('rect')
  	.attr('y', d => yScale(d.country))
  	.attr('width', d => xScale(d.population))
  	.attr('height', d => yScale.bandwidth());
};

csv(`data.csv`).then(data => { 
 	data.forEach(d => {
    d.population = +d.population;
  });
  render(data);
});